﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirline.Entities;

public class Ticket
{
    public int Id { get; private set; }
    public int FlightID { get; private set; }
    public int PassengerID { get; private set; }

    public int TicketPrice { get; private set; }
    public DateTime DateBuy { get; private set; }
    public static Ticket CreateTicket (int id, int flightID, int passengerID, int ticketPrice, DateTime dateTimeBuy)
    {
        return new Ticket
        {
            Id = id,
            FlightID = flightID,
            PassengerID = passengerID,
            TicketPrice = ticketPrice,
            DateBuy = dateTimeBuy
        };
    }
    

}
