﻿using ProjectAirline.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirline.Repositories;

public interface IAirplaneRepository
{
    IEnumerable<Airplane> ReadAirplanes();
    Airplane ReadAirplaneById(int id);
    void CreateAirplane(Airplane airplane);
    void UpdateAirplane(Airplane airplane);
    void DeleteAirplane(int id);

}
