﻿using ProjectAirline.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirline.Repositories;

public interface IPassengerRepository
{
    IEnumerable<Passenger> ReadPassengers();
    Passenger ReadPassengerById(int id);
    void CreatePassenger(Passenger passenger);
    void UpdatePassenger(Passenger passenger);
    void DeletePassenger(int id);

}
